# Class EvmSigner<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends Chain

#### Hierarchy

- EvmSigner

#### Implements

- SignOnlySigner<N, C>

- Defined in platforms/evm/src/testing/signer.ts:22

#####
Index

### Constructors

constructor

### Properties

_chain
_wallet
provider

### Methods

address
chain
sign

## Constructors

### constructor

- new EvmSigner<N, C>(_chain, provider, privateKey): EvmSigner<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### _chain: C

  - ##### provider: Provider

  - ##### privateKey: string

  #### Returns EvmSigner<N, C>

  - Defined in platforms/evm/src/testing/signer.ts:27

## Properties

### `Private` _chain

_chain: C

- Defined in platforms/evm/src/testing/signer.ts:28

### _wallet

_wallet: Wallet

- Defined in platforms/evm/src/testing/signer.ts:25

### `Private` provider

provider: Provider

- Defined in platforms/evm/src/testing/signer.ts:29

## Methods

### address

- address(): string

- #### Returns string

  Implementation of SignOnlySigner.address

  - Defined in platforms/evm/src/testing/signer.ts:39

### chain

- chain(): C

- #### Returns C

  Implementation of SignOnlySigner.chain

  - Defined in platforms/evm/src/testing/signer.ts:35

### sign

- sign(tx): Promise<any[]>

- #### Parameters

  - ##### tx: UnsignedTransaction<"Mainnet" | "Testnet" | "Devnet", "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">[]

  #### Returns Promise<any[]>

  Implementation of SignOnlySigner.sign

  - Defined in platforms/evm/src/testing/signer.ts:43

Generated using TypeDoc